查看: 143|回复: 7|关注: 1

[已解决] 新老版本不兼容问题

[复制链接]

新手

9 麦片

财富积分


050


4

主题

9

帖子

0

最佳答案
求助大神Matlab新版本不兼容老版本怎么办?毕设程序是Matlab2014版,但本人安装的是Matlab R2017a

论坛优秀回答者

入门

189 麦片

财富积分


50500


16

主题

328

帖子

38

最佳答案
  • 关注者: 6
发表于 2018-5-15 16:38:55 | 显示全部楼层
新版本 应该 兼容老版本啊  ,相反是不可以的 ,在file-export model to-previous version是可以保存之前版本的 ,之后的不可以,希望可以帮到你

论坛优秀回答者

权威

7463 麦片

财富积分



5

主题

8885

帖子

1706

最佳答案
  • 关注者: 385
发表于 2018-5-15 16:42:39 | 显示全部楼层 |此回复为最佳答案
有可能①老版本的函数与新版本的同名的函数调用格式变了,按照新版本重写调用方式;② 老版本的函数新版本用别的函数代替了,用新版本写。

新手

9 麦片

财富积分


050


4

主题

9

帖子

0

最佳答案
 楼主| 发表于 2018-5-15 16:54:40 | 显示全部楼层
jingzhaos 发表于 2018-5-15 16:42
有可能①老版本的函数与新版本的同名的函数调用格式变了,按照新版本重写调用方式;② 老版本的函数新版本 ...

用一个简单的程序试着运行了
IMG_20180515_164719.jpg

新手

9 麦片

财富积分


050


4

主题

9

帖子

0

最佳答案
 楼主| 发表于 2018-5-15 16:56:11 | 显示全部楼层
jingzhaos 发表于 2018-5-15 16:42
有可能①老版本的函数与新版本的同名的函数调用格式变了,按照新版本重写调用方式;② 老版本的函数新版本 ...

本人太菜了,不会改,谢谢你啦

新手

9 麦片

财富积分


050


4

主题

9

帖子

0

最佳答案
 楼主| 发表于 2018-5-15 16:57:21 | 显示全部楼层
洛克先生___ 发表于 2018-5-15 16:38
新版本 应该 兼容老版本啊  ,相反是不可以的 ,在file-export model to-previous version是可以保存之前版 ...

用的2017版,直接按回车键好像就运行程序了,本人太菜,谢谢你啦

论坛优秀回答者

入门

189 麦片

财富积分


50500


16

主题

328

帖子

38

最佳答案
  • 关注者: 6
发表于 2018-5-15 17:01:09 | 显示全部楼层
本帖最后由 洛克先生___ 于 2018-5-16 08:40 编辑
向日葵,。! 发表于 2018-5-15 16:57
用的2017版,直接按回车键好像就运行程序了,本人太菜,谢谢你啦

客气   以后互相学习

论坛优秀回答者

权威

7463 麦片

财富积分



5

主题

8885

帖子

1706

最佳答案
  • 关注者: 385
发表于 2018-5-15 18:50:28 | 显示全部楼层
向日葵,。! 发表于 2018-5-15 16:56
本人太菜了,不会改,谢谢你啦

r=1应该是单独的一行,不能与syms 放在同一行
您需要登录后才可以回帖 登录 | 注册

本版积分规则

关闭

站长推荐上一条 /3 下一条

快速回复 返回顶部 返回列表